﻿using System;
using System.Collections.Generic;
using System.ComponentModel.Composition;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Input;
//using UFP.LumberTrack.Production.Presentation.UserDialog.Interaction;
using XamGridFieldLayout;


namespace UFP.LumberTrack.Production.Management.Batch.Status.Windows
{
    public partial class StatusBatchWindow
    {


		/// <summary>
		/// Launches the dialog.
		/// </summary>
		[PartCreationPolicy(CreationPolicy.NonShared)]
		public class Launcher  
        {
			/// <summary>
			/// Parent
			/// </summary>
			private System.Windows.Forms.Form m_ParentForm;
            private Window m_ParentWindow;

			/// <summary>
		 
			/// <summary>
			/// Constructor
			/// </summary>
			public Launcher(Window p_ParentWindow)
            {
                m_ParentWindow = p_ParentWindow;
                 
            }
              

			/// <summary>
			/// Open the dialog.
			/// </summary>
            public void DoDialog()
            {
                
				// Window to change flag
				StatusBatchWindow DialogObj = null;
                 


				// Change the cursor
                Mouse.OverrideCursor = Cursors.Wait;

                try //... and finally restore mouse
                {
				    // Create the edit window
				    if(m_ParentForm != null)
                    { DialogObj = new StatusBatchWindow(m_ParentForm, 0, "CSM"); }
				    else
                    { DialogObj = new StatusBatchWindow(m_ParentWindow, 0, "CSM"); }

                }
                finally
                {
                    // Set the mouse cursor back
                    Mouse.OverrideCursor = null;                
                }

				// Show the window
				bool? Result = DialogObj.ShowDialog();
                 

			}





        }


    }
}
